Рекомендация Debian по безопасности

DSA-386-1 libmailtools-perl -- ошибка в проверке ввода

Дата сообщения:
18.09.2003
Затронутые пакеты:
libmailtools-perl
Уязвим:
Да
Ссылки на базы данных по безопасности:
В базе данных Bugtraq (на SecurityFocus): Идентификатор BugTraq 6104.
В каталоге Mitre CVE: CVE-2002-1271.
Более подробная информация:

Команда безопасности SuSE в ходе проверки безопасности обнаружила ошибку в Mail::Mailer, модуле Perl, используемом для отправки писем. Потенциально опасный входной текст передаётся программе типа mailx, которая может интерпретировать определённые esc-последовательности как команды, которые должны быть выполнены.

Эта ошибка исправлена путём удаления поддержки таких программ, как mailx, в качестве транспорта отправки почты. Вместо этого должны использоваться альтернативные механизмы.

В стабильном дистрибутиве (woody) эта проблема исправлена в версии 1.44-1woody1.

В нестабильном дистрибутиве (sid) эта проблема будет исправлен в ближайшее время.

Мы рекомендуем вам обновить пакет libmailtools-perl.

Исправлено в:

Debian GNU/Linux 3.0 (woody)

Исходный код:
http://security.debian.org/pool/updates/main/libm/libmailtools-perl/libmailtools-perl_1.44-1woody2.dsc
http://security.debian.org/pool/updates/main/libm/libmailtools-perl/libmailtools-perl_1.44-1woody2.diff.gz
http://security.debian.org/pool/updates/main/libm/libmailtools-perl/libmailtools-perl_1.44.orig.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/libm/libmailtools-perl/libmailtools-perl_1.44-1woody2_all.deb
http://security.debian.org/pool/updates/main/libm/libmailtools-perl/mailtools_1.44-1woody2_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.